Reverse a VAS transfer on the card.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction. |
| profileNumber | String | 1-20 characters | ✓ | The profile to which the card belongs. |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, tracking number or sequence number of the card to load. |
| OriginalRequestAmount | Integer | ✓ | The requested amount to be deducted from the card, in cents. | |
| OriginalTransactionID | String | 1-255 characters | ✓ | TransactionID of the transaction to be reversed. |
| OriginalTransactionReference | String | 1-255 characters | ✓ | Original transaction reference to be reversed. |
| OriginalTransactionDate | Date | ✓ | Date of the original transaction to be reversed. | |
| transactionID | String | ✓ | Transaction ID number generated by the calling client. | |
| transactionDate | Date | ✓ | Transaction date generated by the calling client. | |
| checksum | String | ✓ | HMAC-SHA1 or HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key. |
<?xml version="1.0"?>
<methodCall>
<methodName>ReverseVasTransferFunds</methodName>
<params>
<param>
<value>
<string>1234567890</string>
</value>
</param>
<param>
<value>
<string>PROF12345</string>
</value>
</param>
<param>
<value>
<string>4111111111111111</string>
</value>
</param>
<param>
<value>
<int>10000</int>
</value>
</param>
<param>
<value>
<string>TXN202505230001</string>
</value>
</param>
<param>
<value>
<string>VAS202505230001</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20250523T05:06:12</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>REVTXN202505260001</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20250526T08:15:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>0f8c2-sdd3e-kjsdd-a9d3f6</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| terminalID | String | Echo of the incoming terminalID. |
| profileNumber | String | Echo of the incoming profileNumber. |
| cardIdentifier | String | Echo of the incoming cardIdentifier. |
| clientTransactionID | String | Echo of the incoming transactionID value. |
| serverTransactionID | String | Transaction ID generated by Paymentology. |
| OriginalTransactionReference | String | Original transaction reference that was reversed. |
| balanceAmount | Integer | Status code indicating the transaction result. |
| resultText | String | Text indicating the transaction result. |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>terminalID</name>
<value>
<string>1234567890</string>
</value>
</member>
<member>
<name>profileNumber</name>
<value>
<string>PROF12345</string>
</value>
</member>
<member>
<name>cardIdentifier</name>
<value>
<string>4111111111111111</string>
</value>
</member>
<member>
<name>clientTransactionID</name>
<value>
<string>REVTXN202505260001</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>PT98765432101</string>
</value>
</member>
<member>
<name>OriginalTransactionReference</name>
<value>
<string>VAS202505230001</string>
</value>
</member>
<member>
<name>balanceAmount</name>
<value>
<int>150000</int>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>0</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Reversal Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>